# Uses of Class
org.eclipse.jface.text.source.inlined.AbstractInlinedAnnotation

Packages that use AbstractInlinedAnnotation
Package
Description
org.eclipse.jface.text.source.inlined

## Uses of AbstractInlinedAnnotation in org.eclipse.jface.text.source.inlined

Subclasses of AbstractInlinedAnnotation in org.eclipse.jface.text.source.inlined
Modifier and Type
Class
Description
`class`
`LineContentAnnotation`
Inlined annotation which is drawn in the line content and which takes some place with a given width.
`class`
`LineHeaderAnnotation`
Inlined annotation which is drawn before a line and which takes some place with a given height.
Methods in org.eclipse.jface.text.source.inlined with type parameters of type AbstractInlinedAnnotation
Modifier and Type
Method
Description
`<T extends AbstractInlinedAnnotation>
T`
InlinedAnnotationSupport.`findExistingAnnotation(Position pos)`
Returns the existing codemining annotation with the given position information and null otherwise.
Method parameters in org.eclipse.jface.text.source.inlined with type arguments of type AbstractInlinedAnnotation
Modifier and Type
Method
Description
`void`
InlinedAnnotationSupport.`updateAnnotations(Set<AbstractInlinedAnnotation> annotations)`
Update the given inlined annotation.